%define module XML::Parser

Name:           perl-XML-Parser
Version:        2.46
Release:        1%{?org_tag}%{?dist}
Summary:        Perl module for parsing XML documents
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Parser/
Source0:        http://localhost/cpan//authors/id/T/TO/TODDR/XML-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.00405
BuildRequires:  perl(ExtUtils::Install) >= 1.46
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP)
BuildRequires:  expat
BuildRequires:  expat-devel
Requires:       perl(LWP)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       expat
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(%{module}) = %{version}
%endif

%description
This module provides ways to parse XML documents. It is built on top of
XML::Parser::Expat, which is a lower level interface to James Clark's expat
library. Each call to one of the parsing methods creates a new instance of
XML::Parser::Expat which is then used to parse the document. Expat options
may be provided when the XML::Parser object is created. These options are
then passed on to the Expat object on each parse call. They can also be
given as extra arguments to the parse methods, in which case they override
options given at XML::Parser creation time.

%prep
%setup -q -n XML-Parser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes Expat Parser README samples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/XML*
%{_mandir}/man3/*

%changelog
* Mon Feb 14 2022 Gavin Carr <gavin@openfusion.net> 2.46-1
- Update to version 2.46.

* Sun Sep 22 2013 Gavin Carr <gavin@openfusion.com.au> 2.41-1
- Specfile autogenerated by cpanspec 1.79.
